package org.daligo.adapter;

import android.R;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class MenuListAdapter extends BaseAdapter {

	protected String[] menuStrings = { "" };
	protected Context context;

	public MenuListAdapter(Context context) {
		this.context = context;
	}

	public MenuListAdapter(String[] strings, Context context) {
		this.menuStrings = strings;
		this.context = context;
	}

	@Override
	public int getCount() {
		return menuStrings.length;
	}

	@Override
	public Object getItem(int idx) {
		return menuStrings[idx];
	}

	@Override
	public long getItemId(int n) {
		if (menuStrings.length >= n)
			return n;
		else
			return 0;
	}

	@Override
	public View getView(int position, View view, ViewGroup viewGroup) {
		TextView tv;

		if (view == null) {
			tv = (TextView) LayoutInflater.from(context).inflate(
					R.layout.simple_list_item_1, viewGroup, false);
		} else {
			tv = (TextView) view;
		}
		tv.setText(menuStrings[position]);
		return tv;
	}
}
