package org.daligo.app;

import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;

import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

import org.daligo.adapter.MenuListAdapter;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.ListView;

public class CenterCourseActivity extends Activity {

	private String[] courses;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.center_course_activity);

		ListView lv = (ListView) findViewById(R.id.course_list);

		Button backButton = (Button) findViewById(R.id.back_button);
		backButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				finish();
			}
		});

		try {
			URL url = new URL("http://daligo.kuls.net/courses.xml");

			SAXParserFactory parserModel = SAXParserFactory.newInstance();
			SAXParser concreteParser = parserModel.newSAXParser();
			XMLReader myReader = concreteParser.getXMLReader();
			CourseNameParser courseList = new CourseNameParser();

			myReader.setContentHandler(courseList);
			myReader.parse(new InputSource(url.openStream()));

			Log.i("TRACE", "Success");

			courses = courseList.getCourseNames();
			MenuListAdapter adapter = new MenuListAdapter(courses, this);
			lv.setAdapter(adapter);
		} catch (MalformedURLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (ParserConfigurationException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (SAXException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		lv.setOnItemClickListener(new AdapterView.OnItemClickListener() {
			@Override
			public void onItemClick(AdapterView<?> parent, View view,
					int position, long id) {
				Intent intent1 = new Intent(CenterCourseActivity.this,
						CenterCourse.class);
				intent1.putExtra("courseName", courses[position]);
				startActivity(intent1);
			}
		});
	}
}
