package org.daligo.app;

import org.daligo.adapter.MenuListAdapter;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.ListView;

public class CenterMenuActivity extends Activity {
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.center_menu_activity);
	

		ListView lv = (ListView) findViewById(R.id.centerMenuListView);
		String[] menuStrings = getResources().getStringArray(
				R.array.menu_center);

		MenuListAdapter adapter = new MenuListAdapter(menuStrings, this);

		lv.setAdapter(adapter);

		lv.setOnItemClickListener(new AdapterView.OnItemClickListener() {
			@Override
			public void onItemClick(AdapterView<?> parent, View view,
					int position, long id) {
				switch (position) {
				case 0:
					Intent course = new Intent(CenterMenuActivity.this,
							CenterCourseActivity.class);
					startActivity(course);
					break;
				case 1:
					Intent coach = new Intent(CenterMenuActivity.this,
							CenterCoachActivity.class);
					startActivity(coach);
					break;
				case 2:
					Intent message = new Intent(CenterMenuActivity.this,
							CenterMessageActivity.class);
					startActivity(message);
					break;
				case 3:
					Intent ranking = new Intent(CenterMenuActivity.this,
							CenterRankingActivity.class);
					startActivity(ranking);
					break;
				}
			}
		});

		Button backButton = (Button) findViewById(R.id.BackButton);
		backButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				finish();
			}
		});
	}
}
