package org.daligo.app;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.Spinner;

public class CustomTimeSelect extends Activity {
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		// TODO Auto-generated method stub
		super.onCreate(savedInstanceState);
		setContentView(R.layout.custom_time_select);

		final Spinner hourSpinner = (Spinner) findViewById(R.id.hour_spinner);
		final Spinner minuteSpinner = (Spinner) findViewById(R.id.minute_spinner);

		ArrayAdapter<CharSequence> hourAdapter = ArrayAdapter
				.createFromResource(this, R.array.hours,
						android.R.layout.simple_spinner_item);
		ArrayAdapter<CharSequence> minuteAdapter = ArrayAdapter
				.createFromResource(this, R.array.minutes,
						android.R.layout.simple_spinner_item);

		hourAdapter
				.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
		minuteAdapter
				.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);

		hourSpinner.setAdapter(hourAdapter);
		minuteSpinner.setAdapter(minuteAdapter);

		Button goButton = (Button) findViewById(R.id.go_button);
		Button cancelButton = (Button) findViewById(R.id.cancel_button);

		goButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				Intent intent = new Intent(CustomTimeSelect.this,
						GoTimeActivity.class);
				int hour = Integer.parseInt((String) (hourSpinner
						.getSelectedItem()));
				int minute = Integer.parseInt((String) (minuteSpinner
						.getSelectedItem()));
				intent.putExtra("time", hour * 3600 + minute * 60);
				startActivity(intent);
			}
		});

		cancelButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				finish();
			}
		});
	}
}
