package org.daligo.app;

import org.daligo.adapter.MenuListAdapter;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.ListView;
import android.widget.Toast;

public class DiaryMenuActivity extends Activity {
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.diary_menu_activity);

		ListView lv = (ListView) findViewById(R.id.diary_menu_list_view);
		String[] menuStrings = getResources()
				.getStringArray(R.array.menu_diary);
		MenuListAdapter adapter = new MenuListAdapter(menuStrings, this);
		lv.setAdapter(adapter);

		lv.setOnItemClickListener(new AdapterView.OnItemClickListener() {
			@Override
			public void onItemClick(AdapterView<?> parent, View view,
					int position, long id) {
				switch (position) {
				case 0:
					Toast.makeText(DiaryMenuActivity.this, "Calendar",
							Toast.LENGTH_SHORT).show();
					break;
				case 1:
					Toast.makeText(DiaryMenuActivity.this, "Graph",
							Toast.LENGTH_SHORT).show();
					break;
				case 2:
					Toast.makeText(DiaryMenuActivity.this, "Total History",
							Toast.LENGTH_SHORT).show();
					break;
				}
			}
		});

		Button backButton = (Button) findViewById(R.id.back_button);
		backButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				finish();
			}
		});
	}
}
