package org.daligo.app;

import org.daligo.adapter.MenuListAdapter;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.ListView;
import android.widget.Toast;

public class GoMenuActivity extends Activity {
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.go_menu_activity);

		ListView lv = (ListView) findViewById(R.id.goMenuListView);
		String[] menuStrings = getResources().getStringArray(R.array.menu_go);
		MenuListAdapter adapter = new MenuListAdapter(menuStrings, this);
		lv.setAdapter(adapter);

		lv.setOnItemClickListener(new AdapterView.OnItemClickListener() {
			@Override
			public void onItemClick(AdapterView<?> parent, View view,
					int position, long id) {
				switch (position) {
					case 0:
						Intent goBasic = new Intent(GoMenuActivity.this,
								GoBasicActivity.class);
						startActivity(goBasic);
						break;
					case 1:
						Intent intent2 = new Intent(GoMenuActivity.this,
								GoTimeSelectActivity.class);
						startActivity(intent2);
						break;
					case 2:
						Intent intent3 = new Intent(GoMenuActivity.this,
								GoDistanceSelectActivity.class);
						startActivity(intent3);
						break;
					case 3:
						Toast.makeText(GoMenuActivity.this,
								getResources().getString(R.string.go_coaching),
								Toast.LENGTH_SHORT).show();
						break;
					case 4:
						Intent intent4 = new Intent(GoMenuActivity.this,
								MusicListActivity.class);
						startActivity(intent4);
						break;

				}
			}
		});

		Button backButton = (Button) findViewById(R.id.BackButton);
		backButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				finish();
			}
		});
	}
}
