package org.daligo.app;

import org.daligo.adapter.MenuListAdapter;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.ListView;

public class PreferenceMenuActivity extends Activity {
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.preference_menu_activity);

		ListView lv = (ListView) findViewById(R.id.preference_menu_list_view);
		String[] menuStrings = getResources().getStringArray(
				R.array.menu_preference);
		MenuListAdapter adapter = new MenuListAdapter(menuStrings, this);
		lv.setAdapter(adapter);

		lv.setOnItemClickListener(new AdapterView.OnItemClickListener() {
			@Override
			public void onItemClick(AdapterView<?> parent, View view,
					int position, long id) {
				switch (position) {
				case 0:
					Intent profileIntent = new Intent(PreferenceMenuActivity.this,
							PreferenceProfileActivity.class);
					startActivity(profileIntent);
					break;
				case 1:
					Intent intent1 = new Intent(PreferenceMenuActivity.this,
							PreferenceVoiceActivity.class);
					startActivity(intent1);
					break;
				case 2:
					Intent intent2 = new Intent(PreferenceMenuActivity.this,
							PreferenceUnitActivity.class);
					startActivity(intent2);
					break;
				case 3:
					Intent intent3 = new Intent(PreferenceMenuActivity.this,
							PreferenceMusicActivity.class);
					startActivity(intent3);
					break;
				case 4:
					Intent intent4 = new Intent(PreferenceMenuActivity.this,
							PreferencePlanActivity.class);
					startActivity(intent4);
					break;
				case 5:
					Intent intent5 = new Intent(PreferenceMenuActivity.this,
							PreferenceThemeActivity.class);
					startActivity(intent5);
					break;
				}
			}
		});

		Button backButton = (Button) findViewById(R.id.back_button);
		backButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				finish();
			}
		});
	}
}